#ifndef __FIBREBASE_H__
#define __FIBREBASE_H__

#pragma pack(1)



typedef enum _FIBRE_CH_SPEED
{
	SPEED_AUTO,
	SPEED_1G,
	SPEED_2G,
	SPEED_4G,
	TOTAL_SPEED
}FIBRE_CH_SPEED;

typedef enum _FIBRE_TOPOLOGY
{
	TP_AUTO,
	TP_LOOP,
	TP_POINTPOINT,
	TP_FABRIC,
	TOTAL_TP
}FIBRE_TOPOLOGY;

typedef enum _FIBRE_LOOP_STATUS
{
	STATUS_ENABLED,
	STATUS_DISABLED,
	TOTAL_STATUS
}FIBRE_LOOP_STATUS;


typedef struct _FIBRE_CONFIG
{
	BYTE    wwpn[8];	// port name wwpn[0], wwpn[1] is fixed to 0x21, 0x00
	BYTE    speed;
	BYTE    topology;
	BYTE    loopid;
	BYTE    loopstatus;
} sFIBRE_CONFIG, *pFIBRE_CONFIG;


#pragma pack()

#endif


